#include <iostream>
#include <cmath>
using namespace std;
int main(){
    int n,pomocna;
    cin>>n;
    int brojevi[n];
    for(int i = 0;i<n;i++){
        cin>>brojevi[i];
    }
    if(n==2){
        cout<<brojevi[1]<<" "<<brojevi[0];
    }
    else{
        for(int j = 1;j<n-1;j++){
            if(!((brojevi[j]>brojevi[j-1]&&brojevi[j]<brojevi[j+1])||(brojevi[j]<brojevi[j-1]&&brojevi[j]>brojevi[j+1]))){
                if(abs(brojevi[j]-brojevi[j-1])<abs(brojevi[j]-brojevi[j+1])){
                    pomocna = brojevi[j];
                    brojevi[j] = brojevi[j-1];
                    brojevi[j-1] = pomocna;
                }
                else{
                    pomocna = brojevi[j];
                    brojevi[j] = brojevi[j+1];
                    brojevi[j+1] = pomocna;
                }
            }
        }
        for(int k = 0;k<n;k++){
            cout<<brojevi[k]<<" ";
        }
    }
}